## go-dep 0.3.2

=== vendor/github.com/Masterminds/vcs/Makefile ===
.PHONY: setup
setup:
	go get -u gopkg.in/alecthomas/gometalinter.v1
	gometalinter.v1 --install

.PHONY: test
test: validate lint
	@echo "==> Running tests"
	go test -v

.PHONY: validate
validate:
# misspell finds the work adresář (used in bzr.go) as a mispelling of
# address. It finds adres. An issue has been filed at
# https://github.com/client9/misspell/issues/99. In the meantime adding
# adres to the ignore list.
	@echo "==> Running static validations"
	@gometalinter.v1 \
	  --disable-all \
	  --linter "misspell:misspell -i adres -j 1 {path}/*.go:PATH:LINE:COL:MESSAGE" \
	  --enable deadcode \
	  --severity deadcode:error \
	  --enable gofmt \
	  --enable gosimple \
	  --enable ineffassign \
	  --enable misspell \
	  --enable vet \
	  --tests \
	  --vendor \
	  --deadline 60s \
	  ./... || exit_code=1

.PHONY: lint
lint:
	@echo "==> Running linters"
	@gometalinter.v1 \
	  --disable-all \
	  --enable golint \
	  --vendor \
	  --deadline 60s \
	  ./... || :

=== vendor/github.com/golang/protobuf/proto/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

install:
	go install

test: install generate-test-pbs
	go test


generate-test-pbs:
	make install
	make -C testdata
	protoc --go_out=Mtestdata/test.proto=github.com/golang/protobuf/proto/testdata,Mgoogle/protobuf/any.proto=github.com/golang/protobuf/ptypes/any:. proto3_proto/proto3.proto
	make

=== debian/changelog ===
go-dep (0.3.2-2) unstable; urgency=medium

  * Tweak dependencies, set GOROOT for build, enabling build on stretch
  * Do not "go generate", everything, avoiding a FTBFS

 -- Hilko Bengen <bengen@debian.org>  Tue, 14 Nov 2017 11:19:37 +0100

go-dep (0.3.2-1) unstable; urgency=medium

  * Initial release (Closes: #876347)

 -- Hilko Bengen <bengen@debian.org>  Thu, 26 Oct 2017 15:59:02 +0200

=== debian/control ===
Source: go-dep
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-go (>= 2:1.8~) | golang-1.8-go | gccgo (>= 4:7),
               protobuf-compiler,
               golang-goprotobuf-dev,
Standards-Version: 4.1.1
Homepage: https://github.com/golang/dep
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/dep.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/dep.git
XS-Go-Import-Path: github.com/golang/dep

Package: go-dep
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Go dependency management tool
 dep is a prototype dependency management tool for Go. It is the
 official experiment, but not yet the official tool.
 .
 dep is safe for production use. That means two things:
 * Any valid metadata file (`Gopkg.toml` and `Gopkg.lock`) will be
   readable and considered valid by any future version of dep.
 * Generally speaking, it has comparable or fewer bugs than other
   tools out there.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_VERBOSE := 3
export DH_GOLANG_INSTALL_ALL := 1

export GOROOT := $(strip $(or \
	$(if $(findstring $(shell go version | sed -e 's,.* go\(1[.].*\)[.].* .*,\1,'),\
			1.8 1.9 1.10 1.11),\
		$(info *** Using default go.)\
			$(shell go env GOROOT)),\
		$(info *** Cannot use default go. Forcing go-1.8.)\
			/usr/lib/go-1.8))

%:
	dh $@ --buildsystem=golang --with=golang

# Instead of using DH_GOLANG_GO_GENERATE which builds everything, even
# under vendor/ (and fails for github.com/jmank88/nuts), only generate
# code for the dep package.
override_dh_auto_build:
	GOPATH=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE) go generate github.com/golang/dep
	dh_auto_build

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/go-dep/usr/share/gocode debian/go-dep/usr/bin/licenseok

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dep-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/golang/dep/tags .*/v?(\d\S*)\.tar\.gz

## go-dep 0.5.0

=== debian/changelog ===
go-dep (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * d/copyright: Exclude packages not otherwise available in Debian from vendor/
  * Bump Standards-Version
  * Update package description
  * Update build-dependencies for newer Go toolchain version

 -- Hilko Bengen <bengen@debian.org>  Wed, 01 Aug 2018 10:41:08 +0200

go-dep (0.3.2-3) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Hilko Bengen ]
  * Fix Go version detection recognize two-part version numbers such as
    1.10 (Closes: #890926)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Apr 2018 18:10:37 +0200

=== debian/control ===
Source: go-dep
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-go (>= 2:1.9~) | golang-1.9-go | gccgo (>= 4:7),
               protobuf-compiler,
               golang-github-armon-go-radix-dev,
               golang-github-boltdb-bolt-dev (>= 1.0),
               golang-github-masterminds-vcs-dev (>= 1.11),
               golang-github-nightlyone-lockfile-dev,
               golang-github-pelletier-go-toml-dev (>= 1.1),
               golang-github-pkg-errors-dev (>= 0.8),
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-yaml.v2-dev,
               golang-goprotobuf-dev,
Standards-Version: 4.1.5
Homepage: https://github.com/golang/dep
Vcs-Browser: https://salsa.debian.org/go-team/packages/dep
Vcs-Git: https://salsa.debian.org/go-team/packages/dep.git
XS-Go-Import-Path: github.com/golang/dep

Package: go-dep
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Go dependency management tool
 dep is a prototype dependency management tool for the Go programming
 language.

## go-dep 0.5.1

=== debian/changelog ===
go-dep (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Bump Standards-Version
  * Update debian/copyright
  * Update build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Sat, 20 Apr 2019 18:16:23 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,10 @@
                golang-github-pkg-errors-dev (>= 0.8),
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
+               golang-golang-x-sys-dev,
                golang-gopkg-yaml.v2-dev,
                golang-goprotobuf-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://github.com/golang/dep
 Vcs-Browser: https://salsa.debian.org/go-team/packages/dep
 Vcs-Git: https://salsa.debian.org/go-team/packages/dep.git

## go-dep 0.5.1+really0.5.0

=== Makefile ===
SHELL := /bin/bash
PLATFORM := $(shell go env GOOS)
ARCH := $(shell go env GOARCH)
GOPATH := $(shell go env GOPATH)
GOBIN := $(GOPATH)/bin

default: build validate test

get-deps:
	go get -u golang.org/x/lint/golint honnef.co/go/tools/cmd/megacheck

build:
	go fmt ./...
	DEP_BUILD_PLATFORMS=$(PLATFORM) DEP_BUILD_ARCHS=$(ARCH) ./hack/build-all.bash
	cp ./release/dep-$(PLATFORM)-$(ARCH) dep

licenseok:
	go build -o licenseok ./hack/licenseok/main.go

validate: build licenseok
	./dep check
	./hack/lint.bash
	./hack/validate-licence.bash

test: build
	./hack/test.bash

install: build
	cp ./dep $(GOBIN)

docusaurus:
	docker run --rm -it -v `pwd`:/dep -p 3000:3000 \
		-w /dep/website node \
		bash -c "npm i --only=dev && npm start"

.PHONY: build validate test install docusaurus

=== debian/changelog ===
go-dep (0.5.1+really0.5.0-1) unstable; urgency=medium

  * Team upload.
  * Revert all changes between 0.5.0-1 and 0.5.1-1.
    See https://bugs.debian.org/928227 for a rationale.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 03 Jun 2019 21:37:23 +0200

## go-dep 0.5.4

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 default: build validate test
 
 get-deps:
-	go get -u golang.org/x/lint/golint honnef.co/go/tools/cmd/megacheck
+	go get -u golang.org/x/lint/golint honnef.co/go/tools/cmd/staticcheck
 
 build:
 	go fmt ./...

=== debian/changelog ===
go-dep (0.5.4-3) unstable; urgency=medium

  * Fix FTBFS by removing Debian stretch (oldstable) GOROOT workaround
    from debian/rules (Closes: #948001)
  * Replace "rm -rf debian/go-dep/usr/share/gocode"
    "with dh_auto_install -- --no-source"
    and bump version of dh-golang dependency accordingly
  * Bump Standards-Version to 4.4.1 (no change)
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Move https://salsa.debian.org/go-team/packages/dep
    to https://salsa.debian.org/go-team/packages/go-dep
    to match the Debian source package name

 -- Anthony Fok <foka@debian.org>  Fri, 03 Jan 2020 21:02:20 -0700

go-dep (0.5.4-2) unstable; urgency=medium

  * Remove now Build-Depends line "golang-go (>= 2:1.9~) | golang-1.9-go |
    gccgo (>= 4:7)" not only because it is obsoleted by golang-any but
    especially because buildd ignores alternative dependencies leading to
    BD-Uninstallable on all architectures that do not have golang-go.

 -- Anthony Fok <foka@debian.org>  Wed, 07 Aug 2019 05:34:28 -0600

go-dep (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4 (Closes: #924628)
  * Adjust Files-Excluded list in debian/copyright to avoid empty vendor/
    directories inside repacked tarball
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Apply "cme fix dpkg" fixes with manual tweaks
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Add Testsuite: autopkgtest-pkg-go
    - Bump Standards-Version to 4.4.0 (no change)
    - Finetune versioned dependencies according to Gopkg.toml
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Wed, 07 Aug 2019 04:44:38 -0600

=== debian/control ===
Source: go-dep
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-armon-go-radix-dev,
               golang-github-boltdb-bolt-dev (>= 1.0.0~),
               golang-github-masterminds-vcs-dev (>= 1.11.0~),
               golang-github-nightlyone-lockfile-dev,
               golang-github-pelletier-go-toml-dev (>= 1.2.0~),
               golang-github-pkg-errors-dev (>= 0.8.0~),
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-yaml.v2-dev,
               golang-goprotobuf-dev,
               protobuf-compiler
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/go-dep
Vcs-Git: https://salsa.debian.org/go-team/packages/go-dep.git
Homepage: https://github.com/golang/dep
XS-Go-Import-Path: github.com/golang/dep

Package: go-dep
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Go dependency management tool
 dep is a prototype dependency management tool for the Go programming
 language.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_VERBOSE := 3
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

# Instead of using DH_GOLANG_GO_GENERATE which builds everything, even
# under vendor/ (and fails for github.com/jmank88/nuts), only generate
# code for the dep package.
override_dh_auto_build:
	GOPATH=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE) go generate github.com/golang/dep
	dh_auto_build

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- --no-source
	rm -f debian/go-dep/usr/bin/licenseok
